# Class CIM_BGPServiceAttributes
extends CIM_Component

This is a specialization of the Component aggregation. This aggregation defines the set of BGPPathAttributes that are transmitted in per-path UPDATE messages. The association is deprecated since it is incorrectly defined as a Component relationship, and since the properties of BGPPathAttribute are path/endpoint-specific (not defined at the level of the Service).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_BGPServiceAttributes

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | No value
Description | string | This is a specialization of the Component aggregation. This aggregation defines the set of BGPPathAttributes that are transmitted in per-path UPDATE messages. The association is deprecated since it is incorrectly defined as a Component relationship, and since the properties of BGPPathAttribute are path/endpoint-specific (not defined at the level of the Service).
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_BGPServiceAttributes | CIM_BGPService
PartComponent | CIM_BGPServiceAttributes | CIM_BGPPathAttributes

## Class Methods